--- ./doc/src/sgml/pgtrgm.sgml.orig	2022-08-16 14:50:08.586555358 +0200
+++ ./doc/src/sgml/pgtrgm.sgml	2022-08-16 14:56:39.358617804 +0200
@@ -416,6 +416,8 @@
    the above-described similarity operators, and additionally support
    trigram-based index searches for <literal>LIKE</literal>, <literal>ILIKE</literal>,
    <literal>~</literal>, <literal>~*</literal> and <literal>=</literal> queries.
+   The similarity comparisons are case-insensitive, but these queries can be
+   case-sensitive (see <xref linkend="functions-matching"/>).
    Inequality operators are not supported.
    Note that those indexes may not be as efficient as regular B-tree indexes
    for equality operator.
@@ -534,7 +536,8 @@
   <para>
    Beginning in <productname>PostgreSQL</productname> 9.3, these index types also support
    index searches for regular-expression matches
-   (<literal>~</literal> and <literal>~*</literal> operators), for example
+   (<literal>~</literal> and <literal>~*</literal> operators, resp. case-sensitive and
+   case-insensitive), for example
 <programlisting>
 SELECT * FROM test_trgm WHERE t ~ '(foo|bar)';
 </programlisting>
